- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Version File Reference

`#include <osg/Export>`

Include dependency graph for Version:

This graph shows which files directly or indirectly include this file:

## Defines
#define | OSG_VERSION 1
## Functions
SG_EXPORT const char * | osgGetVersion ()
| osgGetVersion() returns the library version number.
SG_EXPORT const char * | osgGetLibraryName ()
| The osgGetLibraryName() method returns the library name in human-friendly form.

## Define Documentation

#define OSG_VERSION 1

## Function Documentation

SG_EXPORT const char* osgGetLibraryName | ( |  | ) |

| The osgGetLibraryName() method returns the library name in human-friendly form.

SG_EXPORT const char* osgGetVersion | ( |  | ) |

| osgGetVersion() returns the library version number. Numbering convention : OpenSceneGraph-0.8-31 will return 0.8.31 from osgGetVersion. This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB. Here is the code to add to your configure.in:
     #
     # Check for the OpenSceneGraph (OSG) library
     #
     AC_CHECK_LIB(osg, osgGetVersion, ,
        [AC_MSG_ERROR(OpenSceneGraph library not found. See http://www.openscenegraph.org)],)